package types

import (
	"encoding/json"
)

type TaskStart struct {
	ID     int `json:"id"`
	FileID int `json:"file_id"`
	Type   int `json:"type"`
	Data   json.RawMessage
}

type Task struct {
	ID     int      `json:"id"`
	FileID int      `json:"file_id"`
	Type   int      `json:"type"`
	Status int      `json:"status"`
	Log    []string `json:"log"`
}

type TaskStatus struct {
	Tasks []Task `json:"tasks"`
}
